Skip to content
GET /api-token

Query Parameters

namestring · uuid

Filter tokens by name.

Example: my-dev-token

Response Body

limitnumber
Example: 100
next_cursorstring
Example: MjAyNC0wNS0yMVQwNjoyNTozMy4xMjRa
resultobject[]
created_atstring · date-time

The date and time when the token was created.

Example: 2021-08-10T10:00:00.000Z
created_bystring · uuid

The ID of the user who created this token.

Example: b7bb7578-bff2-42b2-a57f-46c874865296
environment_idstring · uuid

The ID of the environment this token is scoped to.

Example: 8a2b104d-74a6-47f2-b93e-c6b611e82391
idstring · uuid

The ID of the API token.

Example: 1ba1f401-7183-47c5-9e39-e8e257e3c795
namestring

A descriptive name for the token.

Example: My token
updated_atstring · date-time

The date and time when the token was last updated.

Example: 2021-08-10T11:00:00.000Z
curl -X GET 'https://api.truto.one/api-token' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.truto.one/api-token', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/api-token"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

for await (const item of truto.apiToken.list()) {
  console.log(item);
}
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.api_tokens.list():
        print(item)

asyncio.run(main())